package mapper

import (
	"go-humas-be/app/database/entity"
	res "go-humas-be/app/module/master_statuses/response"
)

func MasterStatusesResponseMapper(masterStatusesReq *entity.MasterStatuses) (masterStatusesRes *res.MasterStatusesResponse) {
	if masterStatusesReq != nil {
		masterStatusesRes = &res.MasterStatusesResponse{
			ID:    masterStatusesReq.ID,
			Name:    masterStatusesReq.Name,
			IsActive:    masterStatusesReq.IsActive,
		}
	}
	return masterStatusesRes
}